X_UPDATE(1)

NAME
x_update - Archiving of Cross-Over Information

SYNOPSIS
x_update cross-overfile [ -Xxbase ] [ -Llegbase ] [ -V ] [ -Wmax ]

DESCRIPTION
x_update reads the ASCII file produced by x_over and writes the information to the database files xx_base.b and xx_legs.b (unless other filenames are specified on the command line) using a compact, binary format. The options recognized are:

-X  Indicate alternate xx_base.b file.

-L  Indicate alternate xx_legs.b file.

-V  Verbose. Reports the pair currently being processed.

-W  Prints a warning if the number of COEs generated by any pair of legs exceed max.

BEWARE
For security reasons the xx_legs.b are first renamed to xx_legs.b_old, to prevent loss of information if a black-out or system crash should occur during writing of the new xx_legs.b file. It is recommended that the old file is left on the disk in case of other disasters. Note that x_update does not check if a pair of legs already exist in the xx_base.b file. It is the user's responsibility to ensure that duplication of information does not occur. Should some pairs already in the database need to be re-examined, then run x_remove which will wipe out all traces of the specified cruises from the x_system data base files. Now we can pass the pairs that need to be redone through x_over/x_update again.

SEE ALSO
GMT(1), x_system(1)

REFERENCES
Wessel, P. XOVER: A Cross-over Error Detector for Track Data, Computers & Geosciences, 15, 333-346.